Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services
Class InstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.turbine.util.TurbineRuntimeException
                      org.apache.turbine.services.InstantiationException

All Implemented Interfaces:
  Serializable

    public class InstantiationException

extends TurbineRuntimeException

Thrown by `InitableBroker` and `ServiceBroker` classes to indicate problems with instatiation of requested objects. Make sure you don't confuse this exception with the java.lang.InstantiationException.

Version:
  $Id: InstantiationException.java 1066945 2011-02-03 20:27:59Z ludwig $
Author:
  Kevin Burton, Rafal Krzewski
See Also:
  `Initable`, Serialized Form

Constructor Summary
`InstantiationException(String msg)` Construct an InstantiationException with specified detail message.
`InstantiationException(String msg, Throwable t)` Construct an InstantiatioException with specified detail message and nested Throwable.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstantiationException

    public InstantiationException(String msg)

  Construct an InstantiationException with specified detail message.

  Parameters:
    `msg` - The detail message.

### InstantiationException

    public InstantiationException(String msg,
                                  Throwable t)

  Construct an InstantiatioException with specified detail message and nested Throwable.

  Parameters:
    `msg` - The detail message.
    `t` - the root exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.